Skip to content

Özel Özellikler API'si

İş öğeleri üzerinde proje düzeyinde özel alanlar (metin, sayı, tarih, tekli seçim, çoklu seçim, onay kutusu, URL) tanımlayın.

Özellikleri Listele

GET /api/workspaces/{slug}/projects/{projectId}/custom-properties/

Özellik Oluştur

POST /api/workspaces/{slug}/projects/{projectId}/custom-properties/

İstek Gövdesi:

json
{
  "name": "Sprint Points",
  "description": "Story point estimate",
  "type": "number",
  "options": [],
  "is_required": false
}

Desteklenen Türler: text, number, date, select, multi_select, checkbox, url

select ve multi_select türleri için seçenekleri belirtin:

json
{
  "name": "Environment",
  "type": "select",
  "options": ["Production", "Staging", "Development"]
}

Özelliği Güncelle

PATCH /api/workspaces/{slug}/custom-properties/{propertyId}/

Özelliği Sil

DELETE /api/workspaces/{slug}/custom-properties/{propertyId}/

Bir özelliği silmek, iş öğeleri üzerinde ayarlanmış tüm değerleri de kaldırır.

İş Öğesi Değerlerini Getir

GET /api/workspaces/{slug}/projects/{projectId}/issues/{issueId}/custom-values/

Bir iş öğesi için tüm özel özellik değerlerini döner.

İş Öğesi Değeri Ayarla

PUT /api/workspaces/{slug}/issues/{issueId}/custom-values/{propertyId}/

İstek Gövdesi:

json
{
  "value": 8
}

value türü, özellik türüne göre değişir:

  • text, url: string
  • number: sayı
  • date: ISO 8601 string
  • select: string (seçeneklerden biri)
  • multi_select: string dizisi
  • checkbox: boolean